
#include <string.h>

//#include "id3/arbolesid3.h"
#include "dcsw/treesdcsw.h"
#include "libro.h"

static tplarboles llarbolesLibro;

void leeArbolesLibro (char * dir)
{
  leeArbolesN (&llarbolesLibro, dir);
}

void evaluaConArbolesLibro (char * nomCar, int v[], int res[])
{
  evaluaConArbolesN (llarbolesLibro, nomCar, v, res);
}

void clasificaConArbolesLibro (int v[], int *prop)
{
  int nprp;
  char buf0[128];
  struct tpropues lprop [20];
  clasificaConArbolesN (llarbolesLibro, v, lprop, 4, &nprp, 0.3);
  if (nprp >= 1) {
    strcpy (buf0,  &(lprop[0].nombre[6]));
    if (strcmp(buf0, "gg")==0) *prop = scanLibro_gg;
    if (strcmp(buf0, "bg")==0) *prop = scanLibro_bg;
    if (strcmp(buf0, "gb")==0) *prop = scanLibro_gb;
    }
  else
    *prop = scanLibro_no;
}

/*
void clasificaConArbolesCur (int v[], tppropues lprop, int npp, int * pnprp)
{
  clasificaConArbolesN (llarbolesCur, v, lprop, npp, pnprp);
}
*/
