
#include <stdlib.h>
#include <string.h>

#include "base.h"
#include "lista.h"

typedef struct teatributo{
  char * nombre;
  tpgen valor;
  } * tatributo;

tatributo atributoNuevoPara (char *nom, tpgen val)
{
  tatributo atributo;
  atributo = (tatributo) malloc (sizeof (struct teatributo));
  atributo->nombre = strdup (nom) ;
  atributo->valor  = val;
  return atributo;
}

void anyadeAtributoAlista (lista l, char *nom, tpgen val)
{
  aniadeafinlista (l, atributoNuevoPara(nom, val));
}

Boolean encuentraAtributo (tpgen atributo, tpgen nom)
{
  return  strcmp( ((tatributo)atributo)->nombre, (char *) nom) == 0;
}

tpgen tomaValordeListaAtributos (lista l, char *nom)
{
 tnodol nodol;
 nodol = buscaEnListaSiFuncEResul (l, nom, encuentraAtributo, TRUE);
 if (nodol == 0L)
   return 0L;
 else
   return ((tatributo) nodol->aitem)->valor;
}

