
#include "treedcsw.h"

#ifndef TREES_DCSW
#define TREES_DCSW
      /* lista de arboles: con nombre, numero,
         (puntero a) array de arboles, y (puntero a) siguiente */
typedef struct tlarboles{
   char * nombre;
   int num;
   tpnodo * larb;
   struct tlarboles * next;
   } * tplarboles; 

tplarboles llarboles;

typedef struct tpropues{
   char * nombre;
   int narb;
   int res[3];
   } * tppropues;
#endif

void leeArbolesN (tplarboles * nllarboles, char * dir);

void leeArboles (char * dir);

void escribeArboles (char * dir, char * nomc, int nar);

void escribeArboles1 (char * dir, char * nomc, int nar);

void escribeArbolesO (char * dir, char ** nomc, int nnomc, char *cs, int nar);

float pon_umbrValPropDef (float n_umbral);

void evaluaConArbolesN (tplarboles nllarboles, char * nomCar, int v[], int res[]);

void evaluaConArboles (char * nomCar, int v[], int res[]);

void clasificaConArbolesN (tplarboles nllarboles,
                           int v[], tppropues lprop, int npp, int * pnprp,
			   float umbrValProp);

void clasificaConArboles (int v[], tppropues lprop, int npp, int * pnprp);

void informaConArbolesN (tplarboles llarboles,
                                        int v[], tppropues lprop, int npp, int * pnprp);

void informaConArboles (int v[], tppropues lprop, int npp, int * pnprp);

