
#ifndef _IMAG0_H
#define _IMAG0_H

#include "base.h"
#include "lista.h"

#define ventanaLimpia(VENT) ((VENT)->venlimpia != 0L ? ((VENT)->venlimpia) : (VENT))

enum {imagModoNulo, imagModoLectura, imagModoCopia, imagModoRed2,
      imagModoG90, imagModoG270};

typedef struct teimagf{
  int tx, ty;
  int ncap;
  int ngr;
  char * apixels;
  int ncom;
  char ** comen;
  int niv;
  struct teimagf * base;
  int modo;
  struct teimagf * red2;
  struct tevent *  ven0;
     /* mejor guardar tambien escala, margen.. */
     /* giro, ... , venOrig en otra imagen !!  */
     /* buscar venOrig para corregir           */
  struct tevent *  venOrig; 
  char * nf;
  int nid;
  } * timagf;


typedef struct tevent{
  int tx, ty;
  int dx, dy;              /* desplazamiento en la imagen fisica */
  char ** pix;
  struct teimagf * imaBase;
  struct tevent *  venBase;
  lista lvint;
  int incl;
  struct tevent *  venlimpia;
  // abstract
  tpgen abstract;
              // tpgen glifoDeVen;               // borrar.001
              // struct teglifo * glifoDeVen;
  // atributos
  lista atributs;
  struct tcaracHistoGr * carHisGr;
  int * conv;
  int ktam;
  int caracIncl [10];  /* caracteristicas de inclinacion para corte
			                      de palabras cursivas */
  // struct tevvents * listaVint;
  int nid;
  } * tvent;

typedef struct tevvents{
  int n;
  tvent * ventanas;
  } * tvvents;

#include "grises0.h"

// #include "config.h"

#endif /* _IMAG0_H */
