
#ifndef TREE_DCSW
#define TREE_DCSW
enum {nd_falso, nd_cierto, nd_nose, nd_segun};

typedef struct tnodo{
   int tiponodo;
   int variable;
   int umbral;
   struct tnodo *menor, *mayorIgual;
   } * tpnodo, * tparbol;
#endif

// typedef tnodo * ptnodo;

tpnodo creaNodo (int clNodo,
                  int variable,
                  int umbral,
                  tpnodo menor,
                  tpnodo mayorIgual);

void destruyeArbol (tpnodo nodo);

void escribeArbol (char * nomFich, tpnodo arbol);

void escribeArbol2 (char * nomFich, tpnodo arbol[], int n);

void escribeSeArbolTexto (tpnodo arbol);

tpnodo leeArbol (char * nomFich);

void leeArbol2 (char * nomFich, tpnodo *arbol, int *na);

void anadeNodoHMenor (tpnodo np, tpnodo nh);
void anadeNodoHMayorI (tpnodo np, tpnodo nh);

int evalArbolVector (tpnodo arb, int v[]);
