
#include <stdlib.h>

#include "imag.h"

/* Aplica f sobre un entorno de tamao d del vector me
 * y deja el resultado en el vector ms
 * En los extremos repite el valor limpio
 */
void aplicaVv (int me[], int ms[], int d, int vs, int fn(int *, int))
{
  int i;
  for (i=vs; i<d-vs; i++)
    ms[i] = fn(& me[i-vs], 2*vs+1);
  for (i=0; i<vs; i++)
    ms[i] = ms[vs] ;
  for (i=d-vs; i<d; i++)
    ms[i] = ms[d-vs-1] ;
}

/* Aplica f sobre un entorno de tamao d del vector me
 * y deja el resultado en el vector ms
 * Amplia me con vs valores por la izquierda y derecha
 * repitiendo primer y ultimo valor.
 */
void aplicaV (int me[], int ms[], int d, int vs, int fn(int *, int))
{
  int i;
  int * mt;
  mt = (int *) malloc ((d + 2*vs) * sizeof (int)) ;
  for (i=0; i<vs; i++)
    mt[i] = me[0];
  for (i=0; i<d; i++)
    mt[i+vs] = me[i];
  for (i=0; i<vs; i++)
    mt[vs+d+i] = me[d-1];
  for (i=0; i<d; i++)
    ms[i] = fn(& mt[i], 2*vs+1);
  free (mt);
}

void aplicaVvents (tvvents vvents, void fn(tvent))
{
  int i, n;
  n = vvents->n;
  for (i=0; i<n; i++)
    fn (vvents->ventanas[i]);
}

void aplicaLvents (lista lvint, void fn(tvent))
{
  tnodol nodol;
  for (nodol = lvint->primero; nodol != (tnodol)0L; nodol = nodol->siguiente)
    fn ((tvent) nodol->aitem);
}

void aplicaLventsHojRecurN (tvent vent, int n, void fn(tvent))
{
  if ( vent->lvint == (lista) 0L)
    fn (vent);
  else
    if (n > 0) {
      tnodol nodol;
      for (nodol = vent->lvint->primero; nodol != (tnodol)0L; nodol = nodol->siguiente)
        aplicaLventsHojRecurN ((tvent) nodol->aitem, n-1, fn );
      }
}

void aplicaLventsRecurN (tvent vent, int n, void fn(tvent))
{
  fn (vent);
  if ( vent->lvint != (lista) 0L )
    if (n > 0) {
      tnodol nodol;
      for (nodol = vent->lvint->primero; nodol != (tnodol)0L; nodol = nodol->siguiente)
        aplicaLventsRecurN ((tvent) nodol->aitem, n-1, fn );
      }
}

