
#include <stdio.h>
#include <string.h>

#include "base.h"
#include "glifos.h"
#include "opcns.h"

char * lig [11][3] = {
	{"\x27",     "\x27",     "\x22"},        /*   "u0027", "u0027", "u0022",  */
	{"\x3c",     "\x3c",     "\xc2\xab"},    /*   "u003c", "u003c", "u00ab",  */
	{"\x3e",     "\x3e",     "\xc2\xbb"},    /*   "u003e", "u003e", "u00bb",  */
	{"\xd1\x8c", "\x49",     "\xd1\x8b"},    /*   "u044c", "u0049", "u044b",  */
	{"\xd1\x8c", "\xc9\xaa",     "\xd1\x8b"},    /*   "u044c", "u026a", "u044b",  */
	{"\xe2\x80\x98", "\xe2\x80\x98", "\xe2\x80\x9c"},   /*   "u2018", "u2018", "u201c",  */
	{"\xe2\x80\x99", "\xe2\x80\x99", "\xe2\x80\x9d"},   /*   "u2019", "u2019", "u201d",  */
	{"\x2c",         "\x2c",         "\xe2\x80\x9e"},   /*   "u002c", "u002c", "u201e",  */
	{"\xe2\x80\x9b", "\xe2\x80\x9b", "\xe2\x80\x9f"},   /*   "u201b", "u201b", "u201f",  */
	{"\x7c",         "\x7c",         "\xe2\x80\x96"},   /*   "u007c", "u007c", "u2016",  */
	{"\x00", "\x00", "\x00"}  };

int ligan (char * chgli1, char * chgli2, char ** chgli12)
{
  int i;
  for (i=0; lig[i][0][0] != '\0'; i++) {
/*
    printf ("%3d -%s-\n", i, chgli1);
*/
    if ( (strcmp(chgli1, lig[i][0]) == 0) &&
         (strcmp(chgli2, lig[i][1]) == 0) ) {
      *chgli12 = strdup(lig[i][2]) ;
      return TRUE;
      }
    }
  return FALSE;
}

/* 
 para todas las letras de una palabra, en cada letra
   dame la letra y la siguiente
   si lsas letra y la siguiente ligan
     substituye ambas letras por lig12 
 */

void repasaDobleshPalabra (tglifo glifoPalabra)
{
  char * chgli12;
  tnodolglifo nodolGlifo;
  tglifo glifoNuevo;
  nodolGlifo = glifoPalabra->listaGlifos->primero;
/*
  printf ("entra repasaDobleshPalabra\n");
*/
  while (nodolGlifo !=  0L) {
    if (nodolGlifo->aglifo->tipo == glifCompSec)
      repasaDobleshPalabra (nodolGlifo->aglifo) ;
    if ((nodolGlifo->siguiente != 0L) &&
        (nodolGlifo->aglifo->tipo == glifCar) &&
	(nodolGlifo->siguiente->aglifo->tipo == glifCar) ){
/*
      printf ("tipo glifo %3d\n", nodolGlifo->aglifo->tipo);
*/
      if (ligan (nodolGlifo->aglifo->letras,
                 nodolGlifo->siguiente->aglifo->letras,
                 &chgli12) )  {
         glifoNuevo = glifoUnionConSiguiente (nodolGlifo);
         ponLetGlifo (glifoNuevo, chgli12);
         substituye2glifospor1 (nodolGlifo, glifoNuevo);
         }
       }
    nodolGlifo = nodolGlifo->siguiente;
    }
  if (d_valori >= 10)
    printf ("ocre: repasaDobleshPalabra\n") ;
}

void repasaDobleshColumnaP (tglifo glifoColumnaP)
{
  aplicaGtRFn (glifoColumnaP, glifCompPal, repasaDobleshPalabra);
  if (d_valori >= 10)
    printf ("ocre: repasaDobleshColumnaP\n") ;
}

